Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003513 [JEDI VCL] 00 JVCL Components major always 2006-02-14 13:35 2006-04-05 06:43
Reporter Arioch View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003513: UpDown components - no events, when changing ?
Description * Forwarded by Arioch /BDV/
* Newsgroup: jedi.vcl on: forums.talkto.net
* From: "Arioch /BDV/" <the_Arioch@nm.False-Domain.ru>
* Date: Sun, 12 Feb 2006 17:11:23 +0300
* URL: 2@talkto.net">news://forums.talkto.net/dsnf4v$qs3$2@talkto.net [2@talkto.net" target="_blank">^]
* Subj: UpDown components - no events ?
==========================================================================

Hello, All!

At least in Delphi 5 TJv*UpDown generate no OnChanging / OnChangingEx
events. If to trace - indeed that is never possible.

Indeed, they overrided a lot of VCL methods without calling inherited ones,
and those events got lost.

BTW, why Associated component can only be TCustomEdit ?
Perhaps it could be any component exposing some interface and/or and
TWinControl ?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008977)
obones (administrator)
2006-04-05 06:43

inherited call in CN_NOTIFY has been added, it solves all this.

As to the associated component type, please create a NEW issue for this, after having discussed it on the newsgroups.

- Issue History
Date Modified Username Field Change
2006-02-14 13:35 Arioch New Issue
2006-04-05 06:43 obones Status new => resolved
2006-04-05 06:43 obones Resolution open => fixed
2006-04-05 06:43 obones Assigned To => obones
2006-04-05 06:43 obones Note Added: 0008977


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker